Adobe Flash Builder 4.7无法编译Laya2.6.1创建的3D示例项目

使用LayaAirIDE_beta2.6.1创建3D示例项目
1.png

 
更具官方案例 配置Flash Builder的编译配置
2.png

 
运行后报错 Laya.stage为null

3.png


4.png


5.png

 
试了很久 想请问下各位大佬 是 配置的问题吗?
已邀请:

kylin

赞同来自: 无敌的小鱼

1) 请你再次确认一下,你使用的编译 是否是你发给我们的编译截图里的内容
2) 从编译结果看,第一,多余了很多无关内容。第二,也没有编译成es6。从你发的demo里看,编译结果是完全错误的,正常情况下,bundle.js里不应该有var laya = xxx的内容。编译结果应该是es6的,也不应该是es3的。
3) 因为我们没办法确认你的环境,建议你仔细检查一下哈
我们这边按照你给的编译截图尝试过,是可以编译出正常结果的。
如果你那边还是无法复现,建议让贵公司其他人检查一下,或者使用IDE编译。
升级IDE后有修改过编译参数吗,没有的话可以改一下配置iflash=false;chromerun=false;quickcompile=true;out=.laya/temp.js;subpath=;script=ES6;outlaya=true;layaists=true
2.2.0以上版本配置进行了一点修改

无敌的小鱼

赞同来自:

使用LayaAirIDE_beta2.1.1.1创建3D示例项目
再使用上面Flash Builder的配置无报错显示

kylin

赞同来自:

1) 我们这边试了一下,是可以运行的。
2) 请确认使用的layajs.exe是否是2.2.0以后版本的。3) 能否出一个简单的demo,我们看一下。
或者,将编译后的整个demo给我们,我们看一下是哪儿的问题。

无敌的小鱼

赞同来自:

上传了创建的demo
图片为我的FB配置,使用的LayaAirIDE_beta解压出来的layajs.exe
微信截图_20200426154802.png

该问题目前已经被锁定, 无法添加新回复

商务合作
商务合作